﻿@model IEnumerable<VersionInfo>
@using SiteGuide.Service
@using SiteGuide.Service.Helpers
@using SiteGuide.Web.Controllers
@using SiteGuide.Web.Helpers
@using SiteGuide.DAL.Models
@using SiteGuide.Service.Extensions
@using SiteGuide.Service.Identifiers

<div class="table-responsive-xl">
    <table class="table highlight-row linkify">
        <thead>
            <tr>
                <th>
                    Version
                </th>
                <th style="min-width: 12em;">
                    Published
                </th>
                <th>
                    Comment
                </th>
                <th style="min-width: 25em;">
                    Edit Versions
                </th>
            </tr>
        </thead>
        <tbody>
            @foreach (var version in Model)
            {
                <tr class="data">
                    <td class="text-right"><a asp-controller="Versions" asp-action="Details" asp-route-id="@version.Id">@version.Id</a></td>
                    <td>
                        @LocalTimeHelper.LocalTime((System.DateTime)version.PublishedTime)
                    </td>
                    <td><blockquote>@version.Comment</blockquote></td>
                    <td>
                        <partial name="./_EditVersionsSummary" model="version.EditVersions" view-data='new ViewDataDictionary(ViewData) { { "ShowComments", false } }' />
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>